// Code generated by MockGen. DO NOT EDIT.
// Source: controller/authRequired.go

// Package mock_controller is a generated GoMock package.
package mock_controller

import (
	reflect "reflect"

	gin "github.com/gin-gonic/gin"
	gomock "github.com/golang/mock/gomock"
)

// MockAuthRequired is a mock of AuthRequired interface.
type MockAuthRequired struct {
	ctrl     *gomock.Controller
	recorder *MockAuthRequiredMockRecorder
}

// MockAuthRequiredMockRecorder is the mock recorder for MockAuthRequired.
type MockAuthRequiredMockRecorder struct {
	mock *MockAuthRequired
}

// NewMockAuthRequired creates a new mock instance.
func NewMockAuthRequired(ctrl *gomock.Controller) *MockAuthRequired {
	mock := &MockAuthRequired{ctrl: ctrl}
	mock.recorder = &MockAuthRequiredMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockAuthRequired) EXPECT() *MockAuthRequiredMockRecorder {
	return m.recorder
}

// Handler mocks base method.
func (m *MockAuthRequired) Handler(arg0 *gin.Context) {
	m.ctrl.T.Helper()
	m.ctrl.Call(m, "Handler", arg0)
}

// Handler indicates an expected call of Handler.
func (mr *MockAuthRequiredMockRecorder) Handler(arg0 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Handler", reflect.TypeOf((*MockAuthRequired)(nil).Handler), arg0)
}
